package com.house365.common.interfaces;


import com.house365.common.beans.DomainObject;
import com.house365.common.searchBeans.QueryParams;

import java.util.List;

/**
 * 公共DAO接口<br>
 */
public interface Dao<T extends DomainObject> {

    /**
     * 分页查询 <br>
     *
     * @param queryParams
     * @return
     * @see
     */
    List<T> queryByPage(QueryParams<?> queryParams);

    /**
     * 获取总数 <br>
     *
     * @param params
     * @return
     * @see
     */
    int countByQueryParams(QueryParams<?> queryParams);
}
