package com.springboot;

import com.springboot.zuul.AccessFilter;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.cloud.netflix.zuul.EnableZuulProxy;
import org.springframework.context.annotation.Bean;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/12/14</p>
 *
 * @author XN
 * @version 1.0
 */
@EnableZuulProxy
@SpringCloudApplication
public class ZuulApplication {

    public static void main(String[] args) {
        SpringApplication.run(ZuulApplication.class, args);

    }

    @Bean
    public AccessFilter accessFilter() {
        return new AccessFilter();
    }

}
